#include <pthread.h>
#include <stdio.h>

int main() {
	int res;
	pthread_rwlockattr_t attr;
	pthread_rwlock_t rwlock;

	pthread_rwlockattr_init(&attr);
	
	res = pthread_rwlock_init(&rwlock, &attr);

	res = pthread_rwlock_wrlock(&rwlock);

	res = pthread_rwlock_trywrlock(&rwlock);
	fprintf(stderr, "pthread_rwlock_trywrlock: %s\n", strerror(res));
	
	res = pthread_rwlock_wrlock(&rwlock);
	fprintf(stderr, "pthread_rwlock_wrlock 2: %s\n", strerror(res));

	return 0;
}

